## Check_proc_zombie

Script: `check_proc_zombie`

**check_proc_zombie** is a plugin to show the count of zombie processes.
It sends performance data.

## Requirements

* `ps`
* `top`

## Syntax

```txt
$ check_proc_zombie -h
______________________________________________________________________

CHECK_PROC_ZOMBIE
v1.2

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_proc_zombie.html
______________________________________________________________________

SYNTAX:

  check_proc_zombie [-h] [-w WARNLIMIT] [-c CRITICALLIMIT]

OPTIONS:

  -h, --help
      show help

  -c, --critical VALUE
      critical value; default: 10 

  -w. --warning VALUE
      warning limit value; default: 1 

EXAMPLE:

  check_proc_zombie -w 3 -c 15
      Show count of zombie processes mark as critical when there are 15 or
      more zombie processes and warn on 3 or more.

```

### Parameters

(none)

## Examples

`$ check_ceph_diskfree` returns

```txt
OK: 0 ZOMBIE-Processes (total: 392 - running: 2 - sleeping: 390 - stopped: 0)
 |proc-zombie=0;1;10;0
```
